<template>
	<view class="content">
		<view class="content_head">
			<view class="content_head_title">{{allData.title}}</view>
			<view class="content_head_time">{{allData.date}}</view>
		</view>
		<view class="content_wrap">
			<view class="content_wrap_text">{{allData.content}} </view>
		</view>
	</view>
</template>

<script>
	import api from "../../../../../api.js";
	let app = getApp();
	export default {
		data() {
			return {
				id:'',//消息id
				allData:null,//所有数据
			}
		},
		onLoad(options) {
			this.id = options.id;
			this.getData();
		},
		methods: {
			//加载数据
			getData(){
				let data = {
					id:this.id
				}
				api.getUserMessageDetail(data).then((res)=>{
					console.log(res);
					this.allData = res.data.data
				})
			}
		}
	}
</script>

<style>
	page{
	  width:100%;
	  border-top:1px solid #f2f2f2;
	  box-sizing: border-box;
	  overflow: hidden;
	  padding:0 30rpx;
	}
	.content{
	  width:100%;
	  overflow: hidden;
	}
	.content_head{
	  padding-bottom: 30rpx;
	  border-bottom:1px solid #f2f2f2;
	  box-sizing: border-box;
	}
	.content_head_title{
	  font-size: 30rpx;
	  color:#000000;
	  font-weight: bold;
	  margin-top:22rpx;
	}
	.content_head_time{
	  font-size: 22rpx;
	  color:#cccccc;
	  margin-top:10rpx;
	}
	.content_wrap_text{
	  font-size: 28rpx;
	  color:#666666;
	  line-height: 40rpx;
	  margin: 30rpx 0 22rpx 0;
	}
	.content_wrap image{
	  display: block;
	  width:100%;
	  height:234rpx;
	}
</style>
